Settings
View and manage communications settings for your organization.
Get Organization User Communications Settings
/communications/v1/organization/user/settings
Get all organization user communications settings for the current authenticated user.
Requires a bearer access token for this API with the Organization.Communications.User.Settings.Read permission. See Authentication.
Parameters
Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).
Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).
The maximum number of items to return.
Returns the next page: the _metadata.continuationToken of the previous response.
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/communications/v1/organization/user/settings" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get Organization Communications Settings
/communications/v1/settings
Get all organization communications settings.
Requires a bearer access token for this API with the Organization.Communications.Settings.Read permission. See Authentication.
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/communications/v1/settings" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Update Organization Communications Settings
/communications/v1/settings
Update organization communications settings.
Requires a bearer access token for this API with the Organization.Communications.Settings.Write permission. See Authentication.
Request body
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X PATCH "https://connect.cambrionix.com/api/communications/v1/settings" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "auditLog": { "settings": { "computers": true, "devices": true, "groups": true, "hubs": true, "locations": true, "organization": true, "other": true, "roles": true, "services": true, "settings": true, "users": true, "workflows": true } }, "notifications": { "email": {}, "inApp": {}, "push": {}, "sms": {} } }'